<?php
//v1.0.4 www.bcoos.net 2006/10 GPL
// www.bcoos.net 2006-09 1.0.2 GPL
//v1.3 www.exoops.info 2006/03 
// $Id: modfile.php,v 1.2 2004/03/20 18:35:12 greyhead Exp $
// ------------------------------------------------------------------------- //
//               E-Xoops: Content Management for the Masses                  //
//                       < http://www.e-xoops.com >                          //
// ------------------------------------------------------------------------- //
// Original Author: James Knickelbein
// Author Website : http://www.journeymilwaukee.com
// License Type   : GPL: See /manual/LICENSES/GPL.txt
// ------------------------------------------------------------------------- //
// Passed on      : My Downloads
// New module name: My Sections
// Version        : 1.1
// Modified by    : Faisal
// Website        : < http://www.a-xoops.com >
// Email          : info@a-xoops.com
// ------------------------------------------------------------------------- //
include_once("header.php");
include_once(XOOPS_ROOT_PATH."/class/upload.class.php");
include_once(XOOPS_ROOT_PATH."/class/module.errorhandler.php");
include_once(XOOPS_ROOT_PATH."/class/xoopsform/formdhtmltextarea.php");
global $mysectionsConfig;
$eh     = new ErrorHandler();
$mytree = new XoopsTree($db->prefix("mysections_cat"), "cid", "pid");
if ( !empty($_POST['submit']) ) {
        if (!$xoopsUser) {
                redirect_header(XOOPS_URL."/user.php", 2, _MUSTREGISTERFIRST);
                exit();
                } else {
                        $modifysubmitter = $xoopsUser->uid();
                }
$lid         = intval($_POST["lid"]);
$cid         = intval($_POST["cid"]);
$homepage    = formatURL($myts->makeTboxData4Save($_POST["homepage"]));
$url         = $myts->makeTboxData4Save($_POST["url"]);
$title       = $myts->makeTboxData4Save($_POST["title"]);
$titletip    = $myts->makeTboxData4Save($_POST["titletip"]);
$version     = $myts->makeTboxData4Save($_POST["version"]);
$platform    = $myts->makeTboxData4Save($_POST["platform"]);
$description = $myts->makeTboxData4Save($_POST["filedesc"]);
$size        = $_POST["size"];
// Check if Title exist
if ( empty($title) ) {
        $eh->show("1001");
}
// Check if Description exist
if ( empty($description) ) {
        $eh->show("1008");
}
if ( empty($size) || !is_numeric($size) ) {
        $size = 0;
}
if ( ($mysectionsConfig['allow_upload'] == 1) && !empty($_FILES['download']['name']) ) {
		var_dump($_FILES);
        $upload = new Upload();
		$upload->setAllowedMimeTypes($mysectionsConfig['accepted_files']);
        $upload->setUploadPath(XOOPS_ROOT_PATH."/modules/mysections/cache/files");
        $upload->setDestinationFileName('download');
        $result = $upload->doUpload();
        if ($result) {
			$url  = $upload->HTTP_POST_FILES[$upload->uploadFieldName]['name'];
			$size = $upload->HTTP_POST_FILES[$upload->uploadFieldName]['size'];
		} else {
			$errors = $upload->getUploadErrors();
			$errorstring = "";
			$errorstring .= "<strong>::Errors occured::</strong><br />\n";
			while(list($filename,$values) = each($errors)) {
				$errorstring .= "File: " . $filename . "<br />";
				$count = count($values);
				for($i=0; $i<$count; $i++) { $errorstring .= "==>" . $values[$i] . "<br />"; }
			}
			redirect_header("modfile.php?lid=$lid", 3, $errorstring);
			exit();
		}
}
// Check if URL exist
/*if ( empty($url) ) {
        $eh->show("1016");
}*/
$newid = $db->genId($db->prefix("mysections_mod")."_requestid_seq");
$sql   = "
        INSERT INTO
        ".$db->prefix("mysections_mod")."
        SET
        requestid=$newid,
        lid=$lid,
        cid=$cid,
        title='$title',
        titletip='$titletip',
        url='$url',
        homepage='$homepage',
        version='$version',
        size='$size',
        platform='$platform',
        description='$description',
        modifysubmitter=$modifysubmitter";
$db->query($sql) or $eh->show("0013");
redirect_header("index.php", 2, _THANKSFORINFO);
exit();
} else {
$lid = intval($_GET['lid']);
if (!$xoopsUser) {
        redirect_header(XOOPS_URL."/user.php", 2, _MUSTREGISTERFIRST);
        exit();
}
include_once(XOOPS_ROOT_PATH."/header.php");
OpenTable();
echo "<b>"._MI_MYSECTIONS_NAME."</b>";
echo "<b>"._REQUESTMODIFICATION."</b><br /><br />";
$result = $db->query("SELECT cid, title, titletip, description, url, homepage, version, size, platform, submitter FROM ".$db->prefix("mysections_articles")." WHERE lid=".$lid." AND status>0");
list($cid, $title, $titletip, $description, $url, $homepage, $version, $size, $platform, $submitter) = $db->fetchRow($result);
$title       = $myts->makeTboxData4Edit($title);
$titletip    = $myts->makeTboxData4Edit($titletip);
$url         = $myts->makeTboxData4Edit($url);
$homepage    = $myts->makeTboxData4Edit($homepage);
$version     = $myts->makeTboxData4Edit($version);
$size        = $myts->makeTboxData4Edit($size);
$platform    = $myts->makeTboxData4Edit($platform);
$description = $myts->makeTboxData4Edit($description);
?>
<form action="modfile.php" method="post">
<table width="80%"><tr>
<td align="right"><b><?php echo _FILEID;?></b></td>
<td><?php echo $lid;?></td>
</tr><tr>
<td align="right"><b><?php echo _TITLE.': ';?></b></td>
<td><input type="text" class="text" name="title" size="50" maxlength="60" value="<?php echo $title;?>" /></td>
</tr><tr>
<td align="right"><b><?php echo _MD_FILETITLETIP;?></b></td>
<td><input type="text" class="text" name="titletip" size="50" maxlength="255" value="<?php echo $titletip;?>" /></td>
</tr><tr>
<td align="right"><b><?php echo _CATEGORY.':';?></b></td>
<td><?php $mytree->makeMySelBox("title", "title", $cid);?></td>
</tr><tr>
<td align="right" valign="top"><b><?php echo _DESCRIPTION.':';?></b></td>
<td>
<?php
echo _MD_PAGEBREAK;
echo "<br /><br />";
$desc = new XoopsFormDhtmlTextArea('', 'filedesc', $description, 10, 50);
echo $desc->render();
?>
</td>
</tr></table>
<hr />
<table width="80%"><tr>
<td align="right" valign="top" nowrap><b><?php echo _DOWNLOADURL;?></b></td>
<td>
<input type="text" class="text" name="url" size="50" maxlength="255" value="<?php echo $url;?>" />
<?php
if ( (($xoopsUser->uid() == $submitter) || $xoopsUser->isAdmin($xoopsModule->mid())) && ($mysectionsConfig['allow_upload'] == 1) ) {
        $upload = new Upload();
		$upload->setMaxFileSize($mysectionsConfig['upload_limit']);
		echo "<br />";
		$upload->printFormField('download');
}
?>
</td>
</tr><tr>
<td align="right"><b><?php echo _SITEURL;?></b></td>
<td><input type="text" class="text" name="homepage" size="50" maxlength="255" value="<?php echo $homepage;?>" /></td>
</tr><tr>
<td align="right"><b><?php echo _VERSION.': ';?></b></td>
<td><input type="text" class="text" name="version" size="10" maxlength="10" value="<?php echo $version;?>" /></td>
</tr><tr>
<td align="right"><b><?php echo _FILESIZE.': ';?></b></td>
<td><input type="text" class="text" name="size" size="10" maxlength="10" value="<?php echo $size;?>" /> <?php echo _BYTES;?></td>
</tr><tr>
<td align="right"><b><?php echo _PLATFORM.': ';?></b></td>
<td><input type="text" class="text" name="platform" size="45" maxlength="30" value="<?php echo $platform;?>" /></td>
</tr><tr>
<td colspan="2" align="center"><br />
<input type="hidden" name="lid" value="<?php echo $lid;?>" />
<input name="submit" class="button" type="submit" value="<?php echo _SUBMIT;?>" />
<input type="button" class="button" value="<?php echo _CANCEL;?>" onclick="javascript:history.go(-1)" />
</td></tr></table></form>
<?php
CloseTable();
}
include_once("footer.php");
?>